| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SoVertexAttributeBundle Class Reference
Bundle Classes

The SoVertexAttributeBundle class simplifies vertex attribute handling. More...

Inheritance diagram for SoVertexAttributeBundle:

## Public Member Functions

| SoVertexAttributeBundle (SoAction *action, SbBool forrendering)
| ~SoVertexAttributeBundle ()
void | send (int index) const
SbBool | doAttributes (void) const

## Additional Inherited Members

Protected Member Functions inherited from SoBundle
| SoBundle (SoAction *action)
| ~SoBundle ()
Protected Attributes inherited from SoBundle
SoState * | state
| The state of the current action.

## Detailed Description

The SoVertexAttributeBundle class simplifies vertex attribute handling.

## Constructor & Destructor Documentation

SoVertexAttributeBundle::SoVertexAttributeBundle | ( | SoAction * | action,
|  | SbBool | forrendering
| ) |  |

Constructor.

SoVertexAttributeBundle::~SoVertexAttributeBundle | ( | ) |  |

Destructor.

## Member Function Documentation

void SoVertexAttributeBundle::send | ( | int | index) |  | const

Send the index'th attribute to OpenGL.

The documentation for this class was generated from the following files:

- SoVertexAttributeBundle.h
- SoVertexAttributeBundle.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.